### Method

# FwupdPlugin UdevDevice get_dev

since: 1.1.2

#### Declaration [src]

    GObject*
    fu_udev_device_get_dev (
      FuUdevDevice* self
    )

#### Description [src]

Gets the `GUdevDevice`.

NOTE: If a plugin calls this after the `->probe()` and `->setup()` phases then the `FU_DEVICE_INTERNAL_FLAG_NO_PROBE_COMPLETE` flag should be set on the device to avoid a warning.

Available since: 1.1.2

#### Return value

Type: `GObject`

A `GUdevDevice`, or `NULL`.

The data is owned by the instance.